* {
    box-sizing: border-box;
    margin: 0;
    padding: 5px;
}

body {
    font-family: 'Montserrat', sans-serif;
    background-color: #282c34;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

.calculator-container {
    background-color: #ffffff;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
    width: 320px;
    padding: 0px;
}

.display {
    margin: none;
    flex: 1;
}

#result {
    margin: 2px;
    width: 308px;
    height: 125px;
    font-size: 2rem;
    color: #1e212b;
    background: #ffffff;
    border: none;
    outline: none;
    text-align: right;
    padding-right: 12px;
    padding-left: 12px;
    border-bottom: 0.2px solid black;
}

.keypad {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
}

.btn {
    background: none;
    font-size: 1.5rem;
    padding: 20px;
    border: none;
    color: black;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn.function {
    font-size: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 60px;
    color: #f17410;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
}

.btn.operator {
    font-size: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    color: #f17410;
}

.btn.blank {
    background: none;
    pointer-events: none;
}

.btn.equals {
    background-color: #f17410;
    color: #fffffff3;
    border-radius: 50%;
    height: 57px;
    width: 57px;
    justify-self: center;
    align-self: center;
    font-size: 1.4rem;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
}

.btn.dot i {
    font-size: 0.3rem;
    width: 15px;
    height: 15px;
    padding: 0;
    justify-content: center;
    align-items: center;
    display: flex;
    transition: background-color 0.3s, transform 0.2s;
}